Package com.google.android.exoplayer2.mediacodec

## Class MediaCodecUtil.DecoderQueryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.mediacodec.MediaCodecUtil.DecoderQueryException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    MediaCodecUtil

      public static class MediaCodecUtil.DecoderQueryException
      extends Exception

  Thrown when an error occurs querying the device for its underlying media capabilities.

  Such failures are not expected in normal operation and are normally temporary (e.g. if the mediaserver process has crashed and is yet to restart).

  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`